CallingManagementResult (The Data Transfer scheduler library 2.1.0-4.12.0-126143 API)
Date: 2018-08-02

org.gcube.datatransfer.scheduler.library.outcome

## Class CallingManagementResult

- java.lang.Object
- - org.gcube.datatransfer.scheduler.library.outcome.CallingManagementResult

- All Implemented Interfaces:
    Serializable

      public class CallingManagementResult
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static com.thoughtworks.xstream.XStream` | `xstream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallingManagementResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TransferObjectInfo>` | `getAllTheTransferObjectsInDB()`
    `List<TransferInfo>` | `getAllTheTransfersInDB()`
    `List<String>` | `getErrors()`
    `String` | `getGetAllTransfersInfoResult()`
    `void` | `setAllTheTransferObjectsInDB(List<TransferObjectInfo> allTheTransferObjectsInDB)`
    `void` | `setAllTheTransfersInDB(List<TransferInfo> allTheTransfersInDB)`
    `void` | `setErrors(List<String> errors)`
    `void` | `setGetAllTransfersInfoResult(String getAllTransfersInfoResult)`
    `String` | `toXML()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xstream

          protected static com.thoughtworks.xstream.XStream xstream

  - ### Constructor Detail

    - #### CallingManagementResult

          public CallingManagementResult()

  - ### Method Detail

    - #### getErrors

          public List<String> getErrors()

    - #### setErrors

          public void setErrors(List<String> errors)

    - #### getGetAllTransfersInfoResult

          public String getGetAllTransfersInfoResult()

    - #### setGetAllTransfersInfoResult

          public void setGetAllTransfersInfoResult(String getAllTransfersInfoResult)

    - #### getAllTheTransfersInDB

          public List<TransferInfo> getAllTheTransfersInDB()

    - #### setAllTheTransfersInDB

          public void setAllTheTransfersInDB(List<TransferInfo> allTheTransfersInDB)

    - #### getAllTheTransferObjectsInDB

          public List<TransferObjectInfo> getAllTheTransferObjectsInDB()

    - #### setAllTheTransferObjectsInDB

          public void setAllTheTransferObjectsInDB(List<TransferObjectInfo> allTheTransferObjectsInDB)

    - #### toXML

          public String toXML()

Copyright © 2018. All Rights Reserved.